<?php

namespace WPIS;

require_once __DIR__ . '/Shortcodes/VueEstateListingShortcode.php';
require_once __DIR__ . '/Shortcodes/EstateDetailsListShortcode.php';
require_once __DIR__ . '/Shortcodes/EstateMetaLabelShortcode.php';
require_once __DIR__ . '/Shortcodes/EstateMetaValueShortcode.php';
require_once __DIR__ . '/Shortcodes/EstateMetaGroupShortcode.php';
require_once __DIR__ . '/Shortcodes/FormContactShortcode.php';
require_once __DIR__ . '/Shortcodes/FormEvaluationShortcode.php';
require_once __DIR__ . '/Shortcodes/FormEstateShortcode.php';

class ShortcodesManager {

    static public function init() {

        EstateDetailsListShortcode::init();
        EstateMetaLabelShortcode::init();
        EstateMetaValueShortcode::init();
        EstateMetaGroupShortcode::init();
        FormContactShortcode::init();
        FormEvaluationShortcode::init();
        FormEstateShortcode::init();

        if( SettingsManager::get('enableVueShortcodes') ){
            VueEstateListingShortcode::init();
        }

    }

}